package com.itsoulos.spinnerwithicons;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.TextView;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
import org.w3c.dom.Text;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

   ArrayList<SpinnerItem> data=new ArrayList<SpinnerItem>();

    LinearLayout mainLayout=null;
    TextView result=null;
    Spinner spinner=null;

    void makeArray()
    {
      data.add(new SpinnerItem("name1",R.drawable.android1));
      data.add(new SpinnerItem("name2",R.drawable.android2));
      data.add(new SpinnerItem("name3",R.drawable.android3));
      data.add(new SpinnerItem("name4",R.drawable.android4));
      data.add(new SpinnerItem("name5",R.drawable.android5));
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Global.getDimensions(this);
        mainLayout=new LinearLayout(this);
        mainLayout.setOrientation(LinearLayout.VERTICAL);
        setContentView(mainLayout);
        result=new TextView(this);
        makeArray();
        mainLayout.addView(result);
        result.setTextColor(Color.WHITE);
        result.setBackgroundColor(Color.BLACK);
        result.setTextSize(20);
        spinner=new Spinner(this);
        spinner.setAdapter(new CustomAdapter(this,android.R.layout.simple_spinner_item,data));
        mainLayout.addView(spinner);

        LinearLayout.LayoutParams rparams=(LinearLayout.LayoutParams)result.getLayoutParams();
        rparams.topMargin=5 * Global.height/100;
        rparams.leftMargin=5 * Global.width/100;
        rparams.width=90 * Global.width/100;
        rparams.height=8*Global.height/100;
        result.setLayoutParams(rparams);
        rparams.bottomMargin=5*Global.height/100;

        spinner.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                result.setText("Name is "+data.get(position).getName());
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {
               
            }
        });
     }
}
